pdf2djvu (0.9.18.2) unstable; urgency=low

  * Document minimum required Exiv2 version.
  * Fix build failure with upcoming Exiv2 1.0.
  * Remove spurious zero-width spaces from the Ukrainian manual page.
  * Improve the test suite:
    + Fix test failure with Exiv2 ≥ 0.27.5.
      Thanks to Kamil Cukrowski for the bug report and the initial patch.
      https://github.com/jwilk/pdf2djvu/issues/149

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 22 Nov 2021 18:38:23 +0100

pdf2djvu (0.9.18.1) unstable; urgency=low

  * Fix build failure with Poppler ≥ 21.10.
  * Windows: don't hardcode Poppler data path in the library.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 13 Oct 2021 14:48:56 +0200

pdf2djvu (0.9.18) unstable; urgency=low

  [ Ilia Gobjila ]
  * Fix typo in the Russian documentation.

  [ Atri Bhattacharya ]
  * Fix configure check for Poppler ≥ 20.12.
    Thanks to Evangelos Foutras for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/144

  [ Jakub Wilk ]
  * Fix build failure with GCC 11.
    https://github.com/jwilk/pdf2djvu/issues/146
  * Upgrade libraries bundled with the Windows package:
    - Poppler to 21.06;
    - poppler-data to 0.4.10;
    - DjVuLibre to 3.5.28;
    - GraphicsMagick to 1.3.36;
    - Expat to 2.4.1;
    - Exiv2 to 0.27.3;
    - FreeType to 2.10.4;
    - OpenJPEG to 2.4.0.
  * Drop support for Python 2.6.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 07 Jun 2021 20:04:15 +0200

pdf2djvu (0.9.17.1) unstable; urgency=low

  * Fix build failure with Poppler ≥ 20.08.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 07 Aug 2020 19:13:22 +0200

pdf2djvu (0.9.17) unstable; urgency=low

  * Fix build failure with Poppler ≥ 0.86.
    Thanks to David B. Evans for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/142
  * Drop support for Poppler < 0.35.
  * Upgrade libraries bundled with the Windows package:
    - Poppler to 0.86.1;
    - Expat to 2.2.9;
    - FreeType to 2.10.1.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 02 Mar 2020 17:46:38 +0100

pdf2djvu (0.9.16) unstable; urgency=low

  * Fix build failure with Poppler ≥ 0.85.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 20 Feb 2020 11:38:58 +0100

pdf2djvu (0.9.15) unstable; urgency=low

  * Fix build failure with Poppler ≥ 0.83.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 20 Dec 2019 15:30:18 +0100

pdf2djvu (0.9.14) unstable; urgency=low

  * Fix build failure with Poppler ≥ 0.82.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 28 Oct 2019 17:07:29 +0100

pdf2djvu (0.9.13) unstable; urgency=low

  [ Jakub Wilk ]
  * Fix build failure with Poppler ≥ 0.76.
  * Improve warning message for (unhandled) hide actions.
  * Windows: fix reading files with non-ASCII characters in names.
    https://github.com/jwilk/pdf2djvu/issues/138
  * Upgrade libraries bundled with the Windows package:
    - Poppler 0.77;
    - FreeType 2.10;
    - OpenJPEG 2.3.1.
  * Improve the test suite:
    + Don't enforce the C locale.
    + Make it easy to pass arguments to nose.
      (make test noseargs=...)
  * Update the Polish translation.
  * Use HTTPS for exiv2.org URLs.
  * Update poppler-data URL.
  * Add support for heap profiling using gperftools.

  [ Samy Mahmoudi ]
  * Improve build-time logging.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 10 Jun 2019 19:06:35 +0200

pdf2djvu (0.9.12) unstable; urgency=low

  * Fix build failure with Poppler ≥ 0.72.
  * Improve the test suite.
  * Improve typography in the manual page.
  * Upgrade libraries bundled with the Windows package:
    - Poppler 0.72;
    - poppler-data 0.4.9;
    - GraphicsMagick 1.3.31;
    - FreeType 2.9.1;
    - Expat 2.2.6.
  * Windows: fix GraphicsMagick configuration search path.
  * Windows: install miscellaneous documentation files.
    Regression introduced in 0.8.1.
  * Windows build system: don't download sources without explicit user's
    consent.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 02 Jan 2019 16:46:27 +0100

pdf2djvu (0.9.11) unstable; urgency=low

  * Fix build failure with Poppler ≥ 0.70.
  * Improve error handling.
  * Improve the build system:
    + Fix Poppler (≥ 0.69) headers detection with old compilers that require
      the -std option to enable C++11 mode.
    + Honor the CPPFLAGS environment variable only at configure time, not when
      running make. (This was already the case for other *FLAGS variables.)
  * Improve the test suite:
    + Make it easy to use custom Python interpreter.
      (make test PYTHON=/path/to/python)
    + Make it easy to test against installed version of pdf2djvu.
      (make test-installed)
  * Improve documentation:
    + Use HTTPS for leon.bottou.org URL.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 25 Oct 2018 23:07:15 +0200

pdf2djvu (0.9.10) unstable; urgency=low

  * Implement work-around for lack of thread-safety in the miniexp API in
    DjVuLibre < 3.5.26.
    https://github.com/jwilk/pdf2djvu/issues/131
  * Drop support for DjVuLibre < 3.5.25.
  * Improve documentation:
    + Use HTTPS for www.openmp.org URLs.
    + Point to Python 2 documentation in the manual page.
    + Update the credits file to make it clear that the project is no longer
      being funded.
  * Improve the build system:
    + Add checks against BSD make. (Only GNU make is supported.)
    + Fix portability of the manpage building script.
    + Ignore the WINDRES variable on non-Windows systems.
  * Improve the test suite.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 27 Jul 2018 18:18:29 +0200

pdf2djvu (0.9.9) unstable; urgency=low

  * Fix build failure with Poppler ≥ 0.64.
  * Fix undefined behavior in the outline handling code.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 18 Apr 2018 15:21:47 +0200

pdf2djvu (0.9.8) unstable; urgency=low

  * Make --help and --version print to stdout, not stderr.
  * Fix build failure with Poppler ≥ 0.62.
    https://github.com/jwilk/pdf2djvu/issues/126
  * Drop support for Poppler < 0.24.
  * Use HTTPS for savannah.gnu.org and unicode.org URLs.
  * Improve documentation:
    + Add README.
      https://github.com/jwilk/pdf2djvu/issues/124
    + Document build-requirements for C++11 compiler and GNU make.
    + Clarify that Python 3.X is not supported for running tests.
    + Update poppler-data download URL.
    + Fix date formats in the manual pages:
      - use YYYY-MM-DD for English;
      - use DD.MM.YYYY for Polish and Russian.
    + Remove the “AUTHOR” sections from the manual pages, as per man-pages(7)
      recommendations.
  * Improve the configure script.
    + Enable caching for the C++11 compiler test.
    + Enable caching for compiler warning flags tests.
    + Fix non-portable sed(1) calls.
  * Remove the install-poppler-h-files tool.
  * Improve the test suite.
    + Fix test failure on OpenBSD.
      https://github.com/jwilk/pdf2djvu/issues/125
    + Fix test failure on systems using musl libc.
  * Upgrade libraries bundled with the Windows package:
    - Poppler 0.62;
    - GraphicsMagick 1.3.27;
    - Expat 2.2.5;
    - FreeType 2.9;
    - OpenJPEG 2.3.0.
  * Windows: ship only replacements for 14 standard Type 1 fonts.
  * Windows: ship Poppler data files.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 18 Jan 2018 17:05:29 +0100

pdf2djvu (0.9.7) unstable; urgency=low

  * Fix build failure with Poppler ≥ 0.58.
  * Improve the build system:
    + Fix non-portable sed(1) calls in the manpage translations makefile.
    + Use relative paths when building OpenJPEG for Windows (so that absolute
      paths are not included in the binary).
  * Upgrade libraries bundled with the Windows package:
    - Poppler 0.59.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 04 Sep 2017 21:15:05 +0200

pdf2djvu (0.9.6) unstable; urgency=low

  * Port the code to C++11.
    Incidentally, this fixes build failure with Poppler ≥ 0.57.
  * Fix GCC 8 warnings about catching polymorphic type by value.
    https://github.com/jwilk/pdf2djvu/issues/122
  * Upgrade libraries bundled with the Windows package:
    - Poppler 0.57;
    - GraphicsMagick 1.3.26;
    - Expat 2.2.3;
    - FreeType 2.8;
    - fontconfig 2.12.4.
  * Windows: build Poppler against OpenJPEG 2.1.2.
  * Improve the test suite.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 07 Aug 2017 14:52:02 +0200

pdf2djvu (0.9.5) unstable; urgency=low

  [ Jakub Wilk ]
  * Improve error handling:
    + Fix temporary files removal order.
      https://github.com/jwilk/pdf2djvu/issues/114
    + Ignore duplicate page titles (with warning).
      Thanks to Juan Francisco Cantero Hurtado for the bug report.
      https://github.com/jwilk/pdf2djvu/issues/113
  * Fix creating bookmarks with more than 255 children.
    Regression introduced in 0.7.20.
  * Fix incorrect progress output in parallel mode.
  * Windows: fix console output encoding.
    https://github.com/jwilk/pdf2djvu/issues/64
  * Upgrade libraries bundled with the Windows package:
    - Poppler 0.49;
    - DjvuLibre 3.5.27;
    - GraphicsMagick 1.3.25;
    - Expat 2.2.0;
    - FreeType 2.6.5;
    - fontconfig 2.12.1;
    - gettext 0.19.8.1.
  * Improve documentation:
    + Don't mention “--page-title-template=” as a way of disabling page
      titles. This works only if “--no-page-titles” works; there's no reason
      to prefer the former.
      Thanks to Roland Winkler for the bug report.
    + Update nose homepage URL.
    + Update OpenMP URLs.
    + Fix typos.
  * Improve the test suite:
    + Fix test failure on GNU/Hurd, which doesn't correctly propagate virtual
      memory limits to subprocesses.
      https://savannah.gnu.org/bugs/?43320
  * Drop support for Poppler < 0.17.
  * Build with “-std=gnu++98”.
  * Build with “-Wempty-body”.
  * Build with “-Werror=misleading-indentation”.
  * Don't enable unknown warning options for clang.
  * Update the Polish translation.

  [ Américo Monteiro ]
  * Update the Portuguese translation.

  [ Chris Leick ]
  * Update the German translation.

  [ Kyrill Detinov ]
  * Update the Russian translation.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 14 Dec 2016 23:39:19 +0100

pdf2djvu (0.9.4) unstable; urgency=low

  [ Jakub Wilk ]
  * Standardize on American spelling in the manual page.
  * Document that bugs can be reported to the mailing list.
  * Fix build failure with GCC 6.
    Thanks to Martin Michlmayr for the bug report.
    https://bugs.debian.org/812007
  * Improve warning message when a link with an unsupported
    action type is encountered.
    Thanks to Janusz S. Bień for the bug report.
    https://groups.io/g/pdf2djvu/message/26
  * Improve error handling in out-of-memory situations.
    Thanks to Daniel Stender for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/107
  * Use HTTPS for sourceforge.net and freedesktop.org URLs.
  * Improve the test suite.
  * Update the Polish translation.

  [ Chris Leick ]
  * Update the German translation.

  [ Américo Monteiro ]
  * Update the Portuguese translation.

  [ Kyrill Detinov ]
  * Update the Russian translation.

  [ Jean-Paul Guillonneau ]
  * Update the French translation of the manual page.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 24 Feb 2016 18:34:05 +0100

pdf2djvu (0.9.3) unstable; urgency=low

  * Fix rendering some vector elements that should go to the foreground layer.
    Regression introduced in 0.7.1.
    https://github.com/jwilk/pdf2djvu/issues/115
  * Improve the test suite.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 20 Nov 2015 19:26:40 +0100

pdf2djvu (0.9.2) unstable; urgency=low

  [ Jakub Wilk ]
  * Improve error handling.
    + Ignore document outline items with non-existent destinations.
      https://github.com/jwilk/pdf2djvu/issues/112
  * Improve the test suite.
  * Update the Polish translation.

  [ Chris Leick ]
  * Update the German translation.

  [ Américo Monteiro ]
  * Update the Portuguese translation.

  [ Kyrill Detinov ]
  * Update the Russian translation.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 22 Oct 2015 15:06:02 +0200

pdf2djvu (0.9.1) unstable; urgency=low

  * Fix detection of libraries needed for XMP support in the configure script.
  * Document that libuuid might be a part of e2fsprogs on some systems.
  * Use DCE uuid_*() functions (instead of libuuid) if they are provided by
    libc.
  * Improve error handling.
  * Improve the test suite.
    + Add work-around for tests failing on OpenBSD because of an error message
      from GraphicsMagick (“Failed to close module …”).
      https://github.com/jwilk/pdf2djvu/issues/108

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 28 Sep 2015 22:00:48 +0200

pdf2djvu (0.9) unstable; urgency=low

  [ Jakub Wilk ]
  * Add support for PDF page labels in page titles.
    Use labels as default page titles.
    https://github.com/jwilk/pdf2djvu/issues/109
  * Add the “--no-page-titles” option.
    Also, don't set page title if “--page-title-template” is empty.
  * Rename “--pageid-prefix” as “--page-id-prefix”.
  * Rename “--pageid-template” as “--page-id-template”.
  * Improve XMP support:
    + Use the Exiv2 library (instead of the GNOME XSLT library with
      hand-crafted XSL stylesheets).
    + Update the xmpMM:InstanceID property.
    + Update the xmpMM:DocumentID property.
    + Generate globally unique identifiers in the urn:uuid namespace.
      https://tools.ietf.org/html/rfc4122#section-3
    + Use correct timezone offset in xmp:MetadataDate.
  * Fix a few spelling mistakes in the manual page.
  * Fix support for files larger than 2GB on 32-bit systems.
  * Improve error handling.
  * Improve the test suite.
  * Update the Polish translation.
  * Disable building the Ukrainian manual page, which is not fully translated.

  [ Américo Monteiro ]
  * Update the Portuguese translation.

  [ Chris Leick ]
  * Update the German translation.

  [ Jean-Paul Guillonneau ]
  * Update the French translation of the manual page.

  [ Kyrill Detinov ]
  * Update the Russian translation.

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 27 Sep 2015 17:45:49 +0200

pdf2djvu (0.8.2) unstable; urgency=low

  [ Jakub Wilk ]
  * Fix file corruption for some documents with outline.
    https://github.com/jwilk/pdf2djvu/issues/110
    Regression introduced in 0.7.20.
  * Improve thread-safety:
    + Make GraphicsMagick initialization thread-safe.
    + Rewrite the subprocess handling code to be thread-safe.
      Remove PStreams support.
  * Fix silencing djvuextract's stderr.
  * Use iconv() for converting from locale encoding to UTF-8.
  * Document that gettext is needed for internationalization.
  * Improve error handling.
  * Improve the test suite.
  * Update the Polish translation.

  [ Américo Monteiro ]
  * Update the Portuguese translation.

  [ Chris Leick ]
  * Update the German translation.

 -- Jakub Wilk <jwilk@jwilk.net>  Tue, 08 Sep 2015 20:43:24 +0200

pdf2djvu (0.8.1) unstable; urgency=low

  * Fix “--fg-colors=N” when GraphicsMagick was compiled with
    QuantumDepth > 8.
  * Report GraphicsMagick's QuantumDepth in “--version”.
  * Build with “-Werror=narrowing”.
  * Document what software is required to run the tests.
  * Windows: fix loading Poppler data files.
  * Windows: don't install build-related documentation.
  * Improve the test suite.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 13 Aug 2015 17:48:55 +0200

pdf2djvu (0.8) unstable; urgency=low

  [ Juan Francisco Cantero Hurtado ]
  * Don't hardcode the Python interpreter path in script shebangs; use
    “#!/usr/bin/env python” instead.

  [ Jakub Wilk ]
  * Don't silently ignore --loss-level when used without --monochrome.
    https://github.com/jwilk/pdf2djvu/issues/86
  * Add sanity check that output file is distinct from all input files.
    https://github.com/jwilk/pdf2djvu/issues/98
  * Apply NFKC normalization on characters from the Alphabetic Presentation
    Forms block (U+FB00–U+FB4F), even when --no-nfkc were specified.
    This is what Poppler (≥ 0.19) does by default.
    Thanks to Dmitry Shachnev for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/90
    https://bugs.freedesktop.org/show_bug.cgi?id=7002
  * Fail early if duplicate page numbers were specified in -p/--pages.
    https://github.com/jwilk/pdf2djvu/issues/73
  * Fail early on duplicate page identifiers and duplicate page titles.
  * Make --help and --version return with exit code 0.
  * Windows: build against GraphicsMagick.
    https://github.com/jwilk/pdf2djvu/issues/75
  * Improve the configure script:
    + Check if Poppler xpdf headers exist.
    + Add option for disabling PStreams (--without-pstreams).
  * Change the order libraries on linker command line.
    Move libraries provided by the LIBS configure variable to the end.
  * Use the reentrant S-expression output API when it's available
    (DjVuLibre ≥ 3.5.25).
  * Improve error handling.
  * Improve the test suite.
  * Improve documentation:
    + Simplify documentation about build dependencies.
    + Document that pkg-config is required for building.
    + Update poppler-data download URL.
  * Update the Polish translation.

  [ Américo Monteiro ]
  * Update the Portuguese translation.

  [ Chris Leick ]
  * Update the German translation.

  [ Kyrill Detinov ]
  * Update the Russian translation.

  [ Jean-Paul Guillonneau ]
  * Update the French translation of the manual page.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 07 Aug 2015 14:42:08 +0200

pdf2djvu (0.7.21) unstable; urgency=low

  * Fix insecure use of /tmp when executing c44(1).
    https://github.com/jwilk/pdf2djvu/issues/103

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 09 May 2015 23:21:40 +0200

pdf2djvu (0.7.20) unstable; urgency=low

  [ Jakub Wilk ]
  * Don't use djvused for setting document outline.
    It was too slow for very long documents.
    https://github.com/jwilk/pdf2djvu/issues/93
  * Test suite: automatically skip tests that require features that were not
    enabled at build time.
    https://github.com/jwilk/pdf2djvu/issues/55
  * Improve reporting of versions of the libraries in --version and XMP
    metadata.
  * Improve Windows support:
    + Correctly determine path to DjVuLibre binaries.
      https://github.com/jwilk/pdf2djvu/issues/85
    + Fix path splitting is East-Asian locales.
      https://github.com/jwilk/pdf2djvu/issues/100
    + Fix stdout redirection.
      https://github.com/jwilk/pdf2djvu/issues/101
  * Update the homepage URL and the bug tracker URLs, in documentation and
    code.
    https://opensource.googleblog.com/2015/03/farewell-to-google-code.html

  [ Américo Monteiro ]
  * Update the Portuguese translation.

  [ Kyrill Detinov ]
  * Update the Russian translation.

  [ Chris Leick ]
  * Update the German translation.

  [ Serhij Dubyk ]
  * Update the Ukrainian translation.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 01 May 2015 14:21:16 +0200

pdf2djvu (0.7.19) unstable; urgency=low

  * Fix build failure with Poppler ≥ 0.31.
    Thanks to David Evans for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/99

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 06 Feb 2015 20:00:38 +0100

pdf2djvu (0.7.18) unstable; urgency=low

  [ Jakub Wilk ]
  * Make the xml2c script more portable.
  * In C++11 mode, use “decltype” instead of “typeof”.
  * Fix build failure with libc++ in C++98 mode.
    Thanks to Angelo Graziosi for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/88
  * Use the standard AC_OPENMP macro in the configure script (instead of
    3rd-party AX_OPENMP).
  * Use HTTPS URLs when they are available, in documentation and code.
  * Fix capitalization error in the German manual page.
    Thanks to Chris Leick for help.
  * Drop support for Poppler < 0.11.1.
  * Improve error handling.

  [ Américo Monteiro ]
  * Add Portuguese translation.
    https://bugs.debian.org/758262

  [ Majid Redouane, Jean-Paul Guillonneau ]
  * Add French translation of the manual page.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 18 Dec 2014 13:25:10 +0100

pdf2djvu (0.7.17) unstable; urgency=low

  * Fix build failure with Poppler ≥ 0.23.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 30 May 2013 22:20:31 +0200

pdf2djvu (0.7.16) unstable; urgency=low

  * Fix build failure with Poppler ≥ 0.21.1.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 14 Nov 2012 20:44:57 +0100

pdf2djvu (0.7.15) unstable; urgency=low

  * Fix build failure with Poppler ≥ 0.21.

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 06 Oct 2012 12:32:09 +0200

pdf2djvu (0.7.14) unstable; urgency=low

  [ Jakub Wilk ]
  * Ignore links with no action. (Previously such links would cause segfault).
    Thanks to Krzysztof Szafran for the bug report.

  [ Chris Leick ]
  * Update the German translation.

  [ Kyrill Detinov ]
  * Update the Russian translation.

  [ Serhij Dubyk ]
  * Update the Ukrainian translation.

 -- Jakub Wilk <jwilk@jwilk.net>  Tue, 18 Sep 2012 17:27:28 +0200

pdf2djvu (0.7.13) unstable; urgency=low

  [ Jakub Wilk ]
  * XMP: put ‘softwareAgent’ and ‘when’ attributes in stEvt namespace.
  * Rewrite test-suite runner from scratch, using nosetests.
  * Windows: trap errors from external commands.
    Thanks to Andres Aule for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/65
  * Fix build failure with Poppler ≥ 0.19.
    Thanks to Kyrill Detinov for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/66

  [ Kyrill Detinov ]
  * Update the Russian translation.

  [ Serhij Dubyk ]
  * Update the Ukrainian translation.
  * Add Ukrainian translation of the manual page.

  [ Chris Leick ]
  * Update the German translation.
    https://bugs.debian.org/675573

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 03 Jun 2012 22:04:29 +0200

pdf2djvu (0.7.12) unstable; urgency=low

  [ Jakub Wilk ]
  * Fix resolution detection.
  * Windows: honor console output encoding.
    https://github.com/jwilk/pdf2djvu/issues/64
  * Build with “-Werror=overloaded-virtual”.

  [ Serhij Dubyk ]
  * Add Ukrainian translation.

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 22 Jan 2012 00:16:38 +0100

pdf2djvu (0.7.11) unstable; urgency=low

  * Fix build failure with Poppler ≥ 0.17.
    Thanks to Vincent Untz for the bug report and the patch.
    https://github.com/jwilk/pdf2djvu/issues/61

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 06 Oct 2011 10:40:39 +0200

pdf2djvu (0.7.10) unstable; urgency=low

  * Fix the --monochrome option.
    Thanks to Rogério Brito for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/59
  * Fix crash with --no-metadata.
  * Allow one to easily skip running some tests. Move tests requiring
    GraphicsMagick into separate files.
    Thanks to Kyrill Detinov for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/55

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 20 Aug 2011 20:52:59 +0200

pdf2djvu (0.7.9) unstable; urgency=low

  [ Kyrill Detinov ]
  * Add Russian translation.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 18 Aug 2011 20:44:29 +0200

pdf2djvu (0.7.8) unstable; urgency=low

  [ Chris Leick ]
  * Add German translation.
    https://bugs.debian.org/626315

  [ Arno Töll ]
  * Update the German translation.

  [ Jakub Wilk ]
  * Add support for merging multiple PDFs into a single DjVu file.
    https://bugs.debian.org/633628

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 24 Jul 2011 22:41:20 +0200

pdf2djvu (0.7.7) unstable; urgency=low

  * Don't let the configure script look for windres if winver.h is not
    available.
    Thanks to Andrew Isakov for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/57
  * Fix build failure with GCC 4.6.
  * Make it possible to control how work is distributed between threads with
    the OMP_SCHEDULE variable.

 -- Jakub Wilk <jwilk@jwilk.net>  Tue, 29 Mar 2011 18:21:22 +0200

pdf2djvu (0.7.6) unstable; urgency=low

  * Improve Windows font support.
    + Compile libxml2 with --with-sax1, which is needed by fontconfig.
      https://bugs.freedesktop.org/show_bug.cgi?id=34266
    + Ship more complete configuration for fontconfig.
    + Ship substitutes for all 35 standard PostScript fonts.
  * Tests: output error log if a test failed.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 18 Feb 2011 13:00:59 +0100

pdf2djvu (0.7.5) unstable; urgency=low

  * Don't allow page identifiers start with a ‘+’ or ‘-’ characters.
  * Document the use of TMPDIR environment variable.
  * Windows: fix handling of non-ASCII filenames in CJK locales.
    Thanks to Lu Wei for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/53

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 19 Jan 2011 23:56:19 +0100

pdf2djvu (0.7.4) unstable; urgency=low

  * Fix handling of the --pages option.
    Thanks to Kyrill Detinov for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/50
  * Fix build failure with GCC 4.2.
    Thanks to Robert Baruch for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/51
  * Make messages about missing features a bit more informative.
    Thanks to François Boulogne for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/52

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 12 Jun 2010 22:20:10 +0200

pdf2djvu (0.7.3) unstable; urgency=low

  * Add a few const annotations to fix build failure with Poppler ≥ 0.13.
    Thanks to Rakesh Pandit for the bug report and the patch.
    https://github.com/jwilk/pdf2djvu/issues/48
  * Fix handling of the --indirect option.
    Thanks to T S Mohan for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/49

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 24 May 2010 19:59:43 +0200

pdf2djvu (0.7.2) unstable; urgency=low

  * Add the --fg-colors=black option.
  * Fix broken output with --fg-colors=web.
    https://github.com/jwilk/pdf2djvu/issues/45
  * Fix crash with GraphicsMagick ≥ 1.3.8.
    https://github.com/jwilk/pdf2djvu/issues/47
    https://sourceforge.net/p/graphicsmagick/mailman/message/24439342/
  * Override number of threads set by GraphicsMagick.

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 01 May 2010 23:52:23 +0200

pdf2djvu (0.7.1) unstable; urgency=low

  * Speed up converting pages for which no foreground were detected.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 19 Apr 2010 20:50:47 +0200

pdf2djvu (0.7.0) unstable; urgency=low

  * Add support for parallel page rendering: options -j/--jobs.

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 27 Feb 2010 23:32:21 +0100

pdf2djvu (0.6.2) unstable; urgency=low

  * Fix build failure without PStreams.
    Thanks to Kyrill Detinov for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/43

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 15 Jan 2010 19:00:44 +0100

pdf2djvu (0.6.1) unstable; urgency=low

  * Add the --text-filter option.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 14 Jan 2010 22:57:46 +0100

pdf2djvu (0.6.0) unstable; urgency=low

  * New regression tests.
    https://github.com/jwilk/pdf2djvu/issues/27
  * Add support for correcting XMP metadata.
    https://github.com/jwilk/pdf2djvu/issues/12
  * Fix resolution detection (Poppler ≥ 0.11.1 only).

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 01 Oct 2009 18:30:33 +0200

pdf2djvu (0.5.11) unstable; urgency=low

  * Document how to deal with CJK PDFs.
  * Windows: make it feasible to use poppler-data.
  * Add support for Poppler ≥ 0.11.1.
    https://github.com/jwilk/pdf2djvu/issues/40

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 31 Jul 2009 17:07:07 +0200

pdf2djvu (0.5.10) unstable; urgency=low

  * Add Polish translation of the manual page.

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 12 Jul 2009 12:58:27 +0200

pdf2djvu (0.5.9) unstable; urgency=low

  [ Mateusz Turcza ]
  * Add Polish translation.

  [ Jakub Wilk ]
  * Respect LC_NUMERIC locale settings.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 18 Jun 2009 23:20:32 +0200

pdf2djvu (0.5.8) unstable; urgency=low

  * Fix some rounding bugs.
  * Windows: fix fontconfig configuration and install URW fonts.
    https://github.com/jwilk/pdf2djvu/issues/39

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 17 May 2009 10:11:53 +0200

pdf2djvu (0.5.7) unstable; urgency=low

  * Add the --guess-dpi option.
    https://github.com/jwilk/pdf2djvu/issues/11
  * Windows: fix file handle leak.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 08 May 2009 15:07:20 +0200

pdf2djvu (0.5.6) unstable; urgency=low

  * New default quantization algorithm.
    https://github.com/jwilk/pdf2djvu/issues/36
    https://github.com/jwilk/pdf2djvu/issues/42
  * Fix some character encoding issues.
    https://github.com/jwilk/pdf2djvu/issues/37
  * Stricter requirements for pageid names.
  * Lift a limitation on number of pages in a bundled multi-page document.
    https://github.com/jwilk/pdf2djvu/issues/38

 -- Jakub Wilk <jwilk@jwilk.net>  Tue, 05 May 2009 18:31:26 +0200

pdf2djvu (0.5.5) unstable; urgency=low

  * Add the --pageid-template option.
    https://github.com/jwilk/pdf2djvu/issues/13
  * Add the --page-title-template option.
    https://github.com/jwilk/pdf2djvu/issues/13
  * Don't allow duplicate page identifies nor duplicate page titles.
    https://github.com/jwilk/pdf2djvu/issues/23
  * More robust UTF-16 to UTF-8 conversion.

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 25 Apr 2009 22:33:44 +0200

pdf2djvu (0.5.4) unstable; urgency=low

  * Add the --crop-text option.
    https://github.com/jwilk/pdf2djvu/issues/20
  * Add support for Windows 9x.

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 18 Apr 2009 21:36:38 +0200

pdf2djvu (0.5.3) unstable; urgency=low

  * Don't die with an error while trying to add empty outline to an indirect
    multi-page document.
  * Work around DjVuLibre performance bug with adding shared annotations to
    indirect multi-page documents.
    https://github.com/jwilk/pdf2djvu/issues/19

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 28 Mar 2009 21:30:10 +0100

pdf2djvu (0.5.2) unstable; urgency=low

  * Add --verbatim-metadata option.
  * Improve support for Windows systems.
    https://github.com/jwilk/pdf2djvu/issues/15
    https://github.com/jwilk/pdf2djvu/issues/16
    https://github.com/jwilk/pdf2djvu/issues/18

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 21 Mar 2009 16:28:18 +0100

pdf2djvu (0.5.1) unstable; urgency=low

  * Fix several memory leaks.
  * On Unix systems, respect the TMPDIR variable.
  * Improve support for Windows systems.
  * Document differences between pdf2djvu and djvudigital.
    https://github.com/jwilk/pdf2djvu/issues/14

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 16 Mar 2009 20:26:58 +0100

pdf2djvu (0.5.0) unstable; urgency=low

  * Drop support for Poppler < 0.7.3.
  * Allow compiling with MinGW.

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 28 Dec 2008 16:24:08 +0100

pdf2djvu (0.4.13) unstable; urgency=low

  * Add --monochrome, --lossy, --loss-level options.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 08 Oct 2008 13:54:55 +0200

pdf2djvu (0.4.12) unstable; urgency=low

  * Convert document outline if it is existent but empty.
    Thanks to Chris Karakas for the bug report.
  * Hyperlinks without borders no longer cause segmentation faults
    (Poppler ≥ 0.7 only).

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 28 Jul 2008 14:13:15 +0200

pdf2djvu (0.4.11) unstable; urgency=low

  * Find text position more accurately (Poppler ≥ 0.6 only).
    That should partially fix an issue with rotated text, too.
  * Work around an issue with subsampled image resolution.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 20 Jun 2008 12:33:53 +0200

pdf2djvu (0.4.10) unstable; urgency=low

  * Ensure that each character height is ≥ 1 pixel.
    Thanks to John Goerzen for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/5
  * Handle rotated PDF pages properly.
    Thanks to John Goerzen for the bug report.
    https://github.com/jwilk/pdf2djvu/issues/4
  * Extract hyperlinks border colors (Poppler ≥ 0.7 only).
    https://github.com/jwilk/pdf2djvu/issues/3
  * Make page references in the form “#<page-id>”, instead of “#<page-no>”.
  * Fix a regression which disabled the --fg-colors option.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 02 May 2008 18:36:02 +0200

pdf2djvu (0.4.9) unstable; urgency=low

  * Perform NFKC normalization on hidden text.
  * Fix a bug which was (sometimes) breaking index files for multi-page
    indirect documents.
  * Fix version information.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 18 Apr 2008 20:04:17 +0200

pdf2djvu (0.4.8) unstable; urgency=low

  * From now on, --indirect argument means an index file name.
  * Add --pageid-prefix option.

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 13 Apr 2008 20:21:21 +0200

pdf2djvu (0.4.7) unstable; urgency=low

  * Add the --media-box option.
  * Disable vector anti-aliasing by default.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 09 Apr 2008 16:46:37 +0200

pdf2djvu (0.4.6) unstable; urgency=low

  * Don't force red hyperlink border if it's unable to determine proper
    color.
  * Enable compilation on Cygwin.
  * Add the --fg-colors option.

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 30 Mar 2008 21:06:03 +0200

pdf2djvu (0.4.5.1) unstable; urgency=low

  * Fix version information.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 03 Mar 2008 23:48:30 +0100

pdf2djvu (0.4.5) unstable; urgency=low

  * Fix a bug which was (sometimes) breaking index files for multi-page
    indirect documents.
    Thanks to Krzysztof Szafran for the bug report.
  * pdf2djvu version information is now recorded into metadata.
  * Add the --version option.
  * Add the --page-size option.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 07 Feb 2008 20:43:54 +0100

pdf2djvu (0.4.4) unstable; urgency=low

  * Fix an undefined behavior which led to rendering bugs.
    Thanks to Janusz S. Bień and Krzysztof Szafran for bug reports.

 -- Jakub Wilk <jwilk@jwilk.net>  Tue, 05 Feb 2008 23:13:23 +0100

pdf2djvu (0.4.3) unstable; urgency=low

  * Fix some linking issues.
  * Add the --hyperlinks option.
  * Display compression ratio, file sizes etc.

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 26 Jan 2008 13:00:32 +0100

pdf2djvu (0.4.2) unstable; urgency=low

  * Split code into several files.
  * Don't write binary garbage to a terminal.
  * Don't hang if a DjVuLibre binary tool is not found.
    Thanks to Janusz S. Bień for the bug report.
  * Fix an off-by-one error which caused (sometimes) erroneous text
    conversion.
    Thanks to Janusz S. Bień and Fadi Edward for bug reports.

 -- Jakub Wilk <jwilk@jwilk.net>  Thu, 17 Jan 2008 23:28:49 +0100

pdf2djvu (0.4.1) unstable; urgency=low

  * Add --bg-subsample option.
  * Work around djvused bug which made impossible to incorporate document
    outline into indirect multi-page documents.
    Thanks to Janusz S. Bień for the bug report.
  * Tune color quantization a bit.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 28 Dec 2007 22:25:51 +0100

pdf2djvu (0.4.0) unstable; urgency=low

  * Add support for indirect multi-page documents.
  * Don't crash on broken annotations.
  * Ensure that each character width is ≥ 1 pixel.
    Thanks to Victor Ivrii and Christian Ohm for bug reports.
  * Do process I/O with PStreams, rather than with system(3) calls.
  * More verbose error messages while option processing.
  * Include “)” and “\” in the text layer.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 12 Dec 2007 20:40:02 +0100

pdf2djvu (0.3.6) unstable; urgency=low

  * Fix a bug which (sometimes) caused foreground colors to be discarded.
  * Proper support for non-white background.
  * Fix a file descriptor leak.
    Thanks to Victor Ivrii for the report.
  * Fix a regression with locating hyperlinks.
  * Fix hyperlinks extraction (Poppler 0.6 only).
    Thanks to Victor Ivrii for the report.
  * Find text position more accurately (Poppler 0.6 only).

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 07 Dec 2007 21:28:32 +0100

pdf2djvu (0.3.5) unstable; urgency=low

  * Fix a regression with rendering background layer (Poppler 0.4 only).
  * Improve bitonal image recognition.
  * Coordinate space transformations are now done correctly.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 28 Nov 2007 16:13:57 +0100

pdf2djvu (0.3.4) unstable; urgency=low

  * Turn bookmark errors into warnings.
  * Add --no-metadata, --no-outline, --no-hyperlinks options.
  * Fix erroneous color conversion (Poppler 0.4 only).
  * Recognize more link actions.
  * Provide the manual page.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 23 Nov 2007 13:23:18 +0100

pdf2djvu (0.3.3) unstable; urgency=low

  * Find text position more accurately.
  * Handle UTF-16-encoded strings properly.
  * Parse dates with respect to PDF Reference.
  * Add --words, --lines, --no-text options.
  * Add -v/--verbose, -q/--quiet options.
  * Don't synchronize C++ I/O streams with C stdio.

 -- Jakub Wilk <jwilk@jwilk.net>  Sat, 17 Nov 2007 11:56:25 +0100

pdf2djvu (0.3.2) unstable; urgency=low

  * Fix a regression which caused hyperlinks not be included into PDF
    documents.

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 11 Nov 2007 18:07:35 +0100

pdf2djvu (0.3.1) unstable; urgency=low

  * Use legible file identifiers.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 09 Nov 2007 21:59:50 +0100

pdf2djvu (0.3) unstable; urgency=low

  * Recognize bilevel images as foreground.
  * Recognize simple graphics as foreground.
  * Fix mishandling of color documents.
  * Fix mishandling of Type3 characters.
  * Fix some other minor bugs.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 09 Nov 2007 21:59:42 +0100

pdf2djvu (0.2) unstable; urgency=low

  * Include hyperlinks to a particular page.
  * Include outline/bookmarks.
  * Add compatibility layer to allow linking with Poppler < 0.5.
  * Improve exception handling.
  * Fix some other minor bugs.

 -- Jakub Wilk <jwilk@jwilk.net>  Tue, 30 Oct 2007 21:36:53 +0100

pdf2djvu (0.1) unstable; urgency=low

  * Initial release.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 22 Oct 2007 19:25:12 +0200
